## firefox-kwallet5 1.0

=== Makefile ===
VERSION = 1.0
FIREFOX_VERSION = 41
BUILD_DIR = build
XPI_TARGET = firefox-kde5-wallet-$(VERSION).xpi
TARBAL_TARGET = firefox-kde5-wallet-$(VERSION).tar.gz
XPI_DIR = xpi
ARCH := $(shell uname -m)
# Update the ARCH variable so that the Mozilla architectures are used
ARCH := $(shell echo ${ARCH} | sed 's/i686/x86/')
LIBNAME = libkde5wallet_$(ARCH).so
SOURCE = $(BUILD_DIR)/libkde5wallet.so
TARGET_DIR = $(XPI_DIR)/components

build: clean lib copy archive

archive: $(XPI_TARGET)

copy: $(SOURCE)
	cp $(SOURCE) $(TARGET_DIR)/$(LIBNAME)

$(XPI_TARGET):
	sed -i 's/<em:version>.*<\/em:version>/<em:version>$(VERSION)<\/em:version>/' $(XPI_DIR)/install.rdf
#	sed -i 's/<em:minVersion>.*<\/em:minVersion>/<em:minVersion>$(FIREFOX_VERSION).0<\/em:minVersion>/' $(XPI_DIR)/install.rdf
	sed -i 's/<em:maxVersion>.*<\/em:maxVersion>/<em:maxVersion>$(FIREFOX_VERSION)\.\*<\/em:maxVersion>/' $(XPI_DIR)/install.rdf
	rm -f $(XPI_TARGET)
	cd $(XPI_DIR) && find . \( ! -regex '.*/\..*' \) | zip ../$(XPI_TARGET) -@

lib:
	mkdir $(BUILD_DIR)
	cd $(BUILD_DIR) && cmake ../library && make

tarbal: clean
	cd .. && tar cvfz $(TARBAL_TARGET) --transform='s,firefox-kde5-wallet,kde5wallet@guillermo.molina,' --exclude $(BUILD_DIR) --exclude '.*'  --exclude '*.so' --exclude '*.xpi' firefox-kde5-wallet

clean:
	rm -rf $(BUILD_DIR)
	rm -f $(TARGET_DIR)/$(LIBNAME)
	rm -f $(XPI_TARGET)

=== library/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(firefox-kde5-wallet)

find_package(ECM REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)
include(ECMMarkAsTest)

include(FeatureSummary)

find_package(KF5Wallet 5.3 REQUIRED)

find_package(Qt5 5.2 CONFIG REQUIRED Core)

set(firefox-kde5-wallet_SRCS
    KDE5Wallet.cpp
)

add_library(libkde5wallet MODULE ${firefox-kde5-wallet_SRCS})

target_link_libraries(libkde5wallet
PUBLIC
    KF5::Wallet
    Qt5::Core
)

add_executable(testkde5wallet testKDE5Wallet.c)
target_link_libraries(testkde5wallet KF5::Wallet ${CMAKE_DL_LIBS})
ecm_mark_as_test(testkde5wallet)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
firefox-kwallet5 (1.0-2) unstable; urgency=medium

  * Upstream renamed package kde5-wallet -> kwallet5
    - Updated Homepage link. (Closes: 814021)
    - Updated watch file.
  * use xpi-pack to make package reproducible
  * Fixes vcs-field-uses-insecure-uri
  * Bumped Standards Version 
    - No changes required

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 11 Mar 2016 01:31:23 +0100

firefox-kwallet5 (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #801830)

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 14 Oct 2015 17:32:01 +0200

=== debian/control ===
Source: firefox-kwallet5
Section: web
Priority: optional
Maintainer: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: debhelper (>= 9),
               cmake,
               extra-cmake-modules,
               libkf5wallet-dev (>= 5.3),
               mozilla-devscripts
Standards-Version: 3.9.7
Homepage: http://www.guillermomolina.com.ar/en/projects/63-firefox-kwallet5
Vcs-Git: https://anonscm.debian.org/git/collab-maint/firefox-kwallet5.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/firefox-kwallet5.git

Package: xul-ext-kwallet5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: kwallet integration for firefox
 Iceweasel and Icedove stores its passwords internally, optionally
 protected by a master password. KDE has its own password manager
 called KWallet.
 .
 KWallet stores every password in the KDE system, and protects access
 by a master password. With this extension you are able to use KWallet
 instead of the default Iceweasel/Icedove password manager. It allows
 tighter integration of Iceweasel/Icedove inside KDE.

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

VERSION = 1
FIREFOX_VERSION = 41
XPI_TARGET = firefox-kwallet5-$(VERSION).xpi
XPI_DIR = xpi
BUILD_DIR = obj-$(DEB_HOST_GNU_TYPE)
LIBNAME = libkwallet5.so
MULTIARCHPATH = usr/lib/${DEB_TARGET_MULTIARCH}/xul-ext/kwallet5/

%:
	dh $@ --with xul-ext --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(XPI_TARGET)

override_dh_auto_build:
	dh_auto_build
	xpi-pack ${XPI_DIR} $(XPI_TARGET)

override_dh_auto_install:
	dh_auto_install
	install-xpi $(XPI_TARGET)
	mkdir -p debian/xul-ext-kwallet5/${MULTIARCHPATH}
	sed -i 's/<em:version>.*<\/em:version>/<em:version>$(VERSION)<\/em:version>/' debian/xul-ext-kwallet5/usr/lib/xul-ext/kwallet5/install.rdf
	sed -i 's/<em:maxVersion>.*<\/em:maxVersion>/<em:maxVersion>$(FIREFOX_VERSION)\.\*<\/em:maxVersion>/' debian/xul-ext-kwallet5/usr/lib/xul-ext/kwallet5/install.rdf
	
	sed -i 's#^\(.*libkde5wallet \).*/[^/]\+.so \(abi.*\)$$#\1/${MULTIARCHPATH}${LIBNAME} \2#' debian/xul-ext-kwallet5/usr/lib/xul-ext/kwallet5/chrome.manifest
	install $(BUILD_DIR)/library/libkde5wallet.so debian/xul-ext-kwallet5/${MULTIARCHPATH}${LIBNAME}
	
	rm debian/xul-ext-kwallet5/usr/lib/xul-ext/kwallet5/icon.png

=== debian/watch ===
version=3

opts="pgpmode=none,uversionmangle=s/-/./,filenamemangle=s/^.*version-(.*)-source-files$/firefox-kde5-kwallet.\1.tar.gz/g" \
http://www.guillermomolina.com.ar/en/files/category/3-firefox-kwallet5 /en/files/category/3-firefox-kde5-wallet\?download=33:firefox-kde5-kwallet-extension-version-([\d\-]+)-source-files

## firefox-kwallet5 1.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-VERSION = 1.0
-FIREFOX_VERSION = 41
+VERSION = 1.3
+FIREFOX_VERSION = 49
 BUILD_DIR = build
 XPI_TARGET = firefox-kde5-wallet-$(VERSION).xpi
 TARBAL_TARGET = firefox-kde5-wallet-$(VERSION).tar.gz

=== debian/changelog ===
firefox-kwallet5 (1.3-1ubuntu2) artful; urgency=medium

  * No-change rebuild (LP: #1720422)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 08 Oct 2017 17:37:49 -0400

firefox-kwallet5 (1.3-1ubuntu1) artful; urgency=medium

  * Build-Depend on firefox | thunderbird to not build this package
    on architectures will it won't be installable (LP: #1720422)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 Oct 2017 11:10:01 -0400

firefox-kwallet5 (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * Update watch file to match new files
  * Update remove-Makefile.patch

 -- Sandro Knauß <hefee@debian.org>  Fri, 30 Jun 2017 16:57:13 +0200

firefox-kwallet5 (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to match newer versions of the plugin
  * Update upstream homepage in copyright file
  * Bump Standards-Version to 4.0.0:
    - Get rid of copy of MPL-1.1 (it is now common-licenses)
  * Update remove-Makefile.patch
  * Bump Compat level:
    - Don't use explicit --parallel dh call anymore
  * Change my own mailaddress to hefee@debian.org.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Jun 2017 13:58:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: firefox-kwallet5
 Section: web
 Priority: optional
-Maintainer: Sandro Knauß <bugs@sandroknauss.de>
-Build-Depends: debhelper (>= 9),
+Maintainer: Sandro Knauß <hefee@debian.org>
+Build-Depends: debhelper (>= 10),
                cmake,
                extra-cmake-modules,
+               firefox | thunderbird,
                libkf5wallet-dev (>= 5.3),
                mozilla-devscripts
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://www.guillermomolina.com.ar/en/projects/63-firefox-kwallet5
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/firefox-kwallet5.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/firefox-kwallet5.git

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
-VERSION = 1
-FIREFOX_VERSION = 41
+VERSION = 1.3
+FIREFOX_VERSION = 49
 XPI_TARGET = firefox-kwallet5-$(VERSION).xpi
 XPI_DIR = xpi
 BUILD_DIR = obj-$(DEB_HOST_GNU_TYPE)
@@ -14,7 +14,7 @@
 MULTIARCHPATH = usr/lib/${DEB_TARGET_MULTIARCH}/xul-ext/kwallet5/
 
 %:
-	dh $@ --with xul-ext --parallel
+	dh $@ --with xul-ext
 
 override_dh_auto_clean:
 	dh_auto_clean
